package cf.semikolon.teamspeak;

import org.bukkit.configuration.file.YamlConfiguration;

import java.io.File;
import java.io.IOException;

/**
 * Created by Jan-Lukas Pagel on 25.07.16.
 *
 * @version 4.0
 */
public abstract class FileSystem {

    File cfgFile = null;
    YamlConfiguration cfg = null;

    public FileSystem(String pluginName, String fileName) {
        this.cfgFile = new File("plugins/" + pluginName, fileName + ".yml");
        this.cfg = YamlConfiguration.loadConfiguration(cfgFile);
        if (!this.cfgFile.exists()) {
            try {
                this.cfgFile.createNewFile();
                load();
            } catch (IOException e) {
                System.err.println("Fehler beim erstellen!");
            }
            initConfig();
        }

    }

    public File getCfgFile() {
        return cfgFile;
    }

    public abstract void initConfig();

    public void load() {

        try {
            if (!this.cfgFile.exists()) {
                this.cfgFile.createNewFile();
            } else {
                cfg.load(this.cfgFile);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public void reload() {
        save();
        load();
    }

    public void save() {

        try {
            this.cfg.save(this.cfgFile);
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    public YamlConfiguration getCfg() {
        return cfg;
    }

}
