package cf.semikolon.teamspeak.objects;

import java.util.ArrayList;
import java.util.UUID;

public class Authentication
{
	
	private static ArrayList<Authentication> list = new ArrayList<>();
	
	private UUID uuid;
	private String authKey;
	
	public Authentication(UUID uuid, String authKey)
	{
		this.uuid = uuid;
		this.authKey = authKey;
		this.list.add(this);
	}

	public UUID getUUID()
	{
		return uuid;
	}
	
	public String getUUIDString() 
	{
		return uuid.toString();
	}
	
	public String getAuthKey()
	{
		return authKey;
	}
	
	public boolean authenticate(String authKey) {
		if(this.authKey.equals(authKey)) {
			this.list.remove(this);
			return true;
		}
		return false;
	}
	
	public static Authentication getAuthenticationbyUUID(UUID uuid) {
		for (Authentication authentication : list)
		{
			if(authentication.getUUID().equals(uuid)) {
				return authentication;
			}
		}
		return null;
	}
	
	public static Authentication getAuthenticationbyUUID(String uuid) {
		for (Authentication authentication : list)
		{
			if(authentication.getUUID().toString().equals(uuid)) {
				return authentication;
			}
		}
		return null;
	}
	
}
