package cf.semikolon.teamspeak.query;

import cf.semikolon.teamspeak.MainClass;
import cf.semikolon.teamspeak.Messages;
import cf.semikolon.teamspeak.objects.Authentication;

import com.github.theholywaffle.teamspeak3.api.TextMessageTargetMode;
import com.github.theholywaffle.teamspeak3.api.event.*;
import org.bukkit.Bukkit;
import org.bukkit.entity.Player;

/**
 * Created by jan on 26.07.16.
 */
public class QueryEvents implements TS3Listener {

    @Override
    public void onTextMessage(TextMessageEvent textMessageEvent) {
        if (textMessageEvent.getTargetMode() == TextMessageTargetMode.CLIENT) {
            String message = textMessageEvent.getMessage().toLowerCase();
            switch (message) {
                case "!botversion":
                    MainClass.getInstance().getServerQuery().getApi().sendPrivateMessage(textMessageEvent.getInvokerId(), "");
                    break;
                case "!botinfo":
                    MainClass.getInstance().getServerQuery().getApi().sendPrivateMessage(textMessageEvent.getInvokerId(), "");
                    break;
            }
            if (message.contains("!verify")) {
                String[] array = message.split(" ");
                if (array.length == 2) {
                    String mcNick = array[1];
                    Player player = Bukkit.getPlayer(mcNick);
                    if (player != null) {
                        String authKey = MainClass.getInstance().getRandomString().nextString();
                        Authentication authentication = new Authentication(player.getUniqueId(), authKey);
                        player.sendMessage(Messages.PREFIX + String.format(Messages.YOUR_VERIFY_CODE, authKey));
                        MainClass.getInstance().getServerQuery().getApi().sendPrivateMessage(textMessageEvent.getInvokerId(), "Sie haben nun in Minecraft eine VerifizierungsNummer erhalten");
                        
                    } else {
                    	/**
                    	 * Spieler nicht Online
                    	 */
                    	
                    }
                } else {
                	/**
                	 * Keine korrekte Syntax
                	 */
   
                }
            }
        }
    }

    @Override
    public void onClientJoin(ClientJoinEvent clientJoinEvent) {

    }

    @Override
    public void onClientLeave(ClientLeaveEvent clientLeaveEvent) {

    }

    @Override
    public void onServerEdit(ServerEditedEvent serverEditedEvent) {

    }

    @Override
    public void onChannelEdit(ChannelEditedEvent channelEditedEvent) {

    }

    @Override
    public void onChannelDescriptionChanged(ChannelDescriptionEditedEvent channelDescriptionEditedEvent) {

    }

    @Override
    public void onClientMoved(ClientMovedEvent clientMovedEvent) {

    }

    @Override
    public void onChannelCreate(ChannelCreateEvent channelCreateEvent) {

    }

    @Override
    public void onChannelDeleted(ChannelDeletedEvent channelDeletedEvent) {

    }

    @Override
    public void onChannelMoved(ChannelMovedEvent channelMovedEvent) {

    }

    @Override
    public void onChannelPasswordChanged(ChannelPasswordChangedEvent channelPasswordChangedEvent) {

    }

    @Override
    public void onPrivilegeKeyUsed(PrivilegeKeyUsedEvent privilegeKeyUsedEvent) {

    }
}
